Categories:
  - Internet
License: GPL-3.0-or-later
WebSite: https://gitlab.com/gxworks/Dib2Qm
SourceCode: https://gitlab.com/gxworks/Dib2Qm/tree/HEAD
IssueTracker: https://gitlab.com/gxworks/Dib2Qm/issues

AutoName: Dib2Qm
Summary: Messenger for secured chats and groups (end-to-end encrypted)
Description: |-
    Messenger that works via e-mail server, end-to-end encrypted.

    Text messages are not only end-to-end encrypted, they also get stored on your
    device in an encrypted way. Images, attachments etc. can be sent (encrypted, of
    course, but since they depend on third-party programs, they are stored
    unencrypted). Dib2Qm (aka Dibdib Messenger) makes use of your device's
    'Download' folder.

    It is possible to use the address of your device's 'Google account', but they
    insist on you explicitly allowing messenger apps: you would log in with your
    browser (!), go to 'Settings', 'Forwarding...IMAP', 'Enable IMAP', 'Save', then
    to 'Accounts', 'Other ... settings', '...Security', '2-Step...', 'Off', and
    'Connected apps', 'Allow less secure', 'On'.

    Strange? It is easier to use an extra e-mail account for Dib2Qm, but depending
    on your provider you might still have to allow IMAP services. Both, using the
    account's address and using a dedicated e-mail address for Dib2Qm, have their
    advantages and disadvantages ...

    Just try it out! -- on a non-critical device (And if your e-mail provider blocks
    it, use a different provider.)

    If you want to do a complete re-start, go to the device's settings, clear the
    app data, then open a file manager, clear the 'Download/dibdib' data, and then
    you can start the app a-fresh.

RepoType: git
Repo: https://gitlab.com/gxworks/Dib2Qm.git

Builds:
  - versionName: 0.17.30
    versionCode: 1730
    commit: 053a1382927fc042c987c08df18fa50830782229
    subdir: app
    gradle:
      - yes

  - versionName: 0.17.40
    versionCode: 1740
    commit: v0.17.40
    subdir: app
    gradle:
      - yes

  - versionName: 0.18.50
    versionCode: 1850
    commit: v0.18.50
    subdir: app
    gradle:
      - yes

  - versionName: 0.18.54
    versionCode: 1854
    commit: v0.18.54
    subdir: app
    gradle:
      - yes

  - versionName: 0.18.60
    versionCode: 1860
    commit: v0.18.60
    subdir: app
    gradle:
      - yes

  - versionName: 0.20.20
    versionCode: 2020
    commit: v0.20.20
    subdir: app
    gradle:
      - yes

  - versionName: 0.22.10
    versionCode: 2210
    commit: v0.22.10
    subdir: app
    gradle:
      - yes

  - versionName: 0.22.20
    versionCode: 2220
    commit: v0.22.20
    subdir: app
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 0.22.20
CurrentVersionCode: 2220
